Package com.smartgwt.logicalstructure.widgets

# Class StretchImgLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.StatefulCanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.StretchImgLogicalStructure

Direct Known Subclasses:
  `ProgressbarLogicalStructure`, `ScrollbarLogicalStructure`, `SplitbarLogicalStructure`, `StretchImgButtonLogicalStructure`

public class StretchImgLogicalStructure extends StatefulCanvasLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `capSize`
  `String`
  `gripImgSuffix`
  `String`
  `hSrc`
  `String`
  `ignoreRTL`
  `String`
  `imageType`
  `String`
  `itemBaseStyle`
  `StretchItem[]`
  `items`
  `String`
  `showDownGrip`
  `String`
  `showGrip`
  `String`
  `showRollOverGrip`
  `String`
  `showTitle`
  `String`
  `src`
  `String`
  `vertical`
  `String`
  `vSrc`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.StatefulCanvasLogicalStructure

  `actionType, align, ariaLabel, autoFit, baseStyle, editProxyConstructor, heightAsString, icon, iconHeight, iconOrientation, iconSize, iconStyle, iconWidth, labelHPad, labelVPad, overCanvasConstructor, radioGroup, redrawOnStateChange, selected, showDisabled, showDisabledIcon, showDown, showDownIcon, showFocused, showFocusedAsOver, showFocusedIcon, showMenuOnClick, showOverCanvas, showRollOver, showRollOverIcon, showRTLIcon, showSelectedIcon, state, styleName, title, valign, vIconStyle, widthAsString`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadius, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, overflow, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StretchImgLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### capSize

    public String capSize

  - ### gripImgSuffix

    public String gripImgSuffix

  - ### hSrc

    public String hSrc

  - ### ignoreRTL

    public String ignoreRTL

  - ### imageType

    public String imageType

  - ### itemBaseStyle

    public String itemBaseStyle

  - ### items

    public StretchItem[] items

  - ### showDownGrip

    public String showDownGrip

  - ### showGrip

    public String showGrip

  - ### showRollOverGrip

    public String showRollOverGrip

  - ### showTitle

    public String showTitle

  - ### src

    public String src

  - ### vertical

    public String vertical

  - ### vSrc

    public String vSrc

- ## Constructor Details

  - ### StretchImgLogicalStructure

    public StretchImgLogicalStructure()